name: Build frontend
on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Clone repository
        uses: actions/checkout@v2
        with:
          repository: Rahaf/REXNT
          github-server-url: http://45.93.137.91:3000


      - name: Use Node.js 22.13.1
        uses: actions/setup-node@v1
        with:
          node-version: 24.x
      - name: Install dependencies
        run: npm install    
      
      - name: Generate build
        run: npm run build
      - name: Copy to Nginx root
        run: |
          sudo rm -rf /var/www/html/*
                                        sudo cp -r dist/* /var/www/html/
                                                  sudo chown -R www-data:www-data /var/www/html/
                                                            sudo systemctl reload nginx